import { Panel } from '@lumino/widgets';
import type { IDiffViewOptions, IDiffWidgetOptions, IMergeViewOptions } from './interfaces';
import type { CodeEditor } from '@jupyterlab/codeeditor';
/**
 * Common panel for diff views
 */
export declare class DiffPanel<T, U extends IDiffViewOptions = IDiffViewOptions> extends Panel {
    constructor({ model, editorFactory, ...viewOptions }: IDiffWidgetOptions<T> & U);
    protected _editorFactory: CodeEditor.Factory | undefined;
    protected _model: T;
    protected _viewOptions: U;
}
/**
 * Common panel for merge views
 */
export declare class MergePanel<T> extends DiffPanel<T, IMergeViewOptions> {
}
//# sourceMappingURL=basepanel.d.ts.map