import { Panel } from '@lumino/widgets';
import type { CodeEditor } from '@jupyterlab/codeeditor';
import { IRenderMimeRegistry } from '@jupyterlab/rendermime';
import { DiffPanel } from '../../common/basepanel';
import type { ICellDiffWidgetOptions } from '../../common/interfaces';
import { CellDiffModel, IDiffModel, ImmutableDiffModel } from '../model';
export declare const CELLDIFF_CLASS = "jp-Cell-diff";
export declare const OUTPUTS_DIFF_CLASS = "jp-Diff-outputsContainer";
export interface ICellDiffViewOptions<T extends IDiffModel = IDiffModel> {
    model: T;
    parent: CellDiffModel;
    editorClasses: string[];
    rendermime: IRenderMimeRegistry;
    editorFactory?: CodeEditor.Factory;
}
/**
 * CellDiffWidget for cell changes
 */
export declare class CellDiffWidget extends DiffPanel<CellDiffModel> {
    /**
     *
     */
    constructor({ rendermime, mimetype, ...others }: ICellDiffWidgetOptions<CellDiffModel>);
    protected init(): void;
    static createPrompts(model: ImmutableDiffModel, parent: CellDiffModel): Panel;
    /**
     * Create a new sub-view.
     */
    static createView({ model, parent, editorClasses, rendermime, editorFactory, ...viewOptions }: ICellDiffViewOptions): Panel;
    mimetype: string;
    /**
     * Get the model for the widget.
     *
     * #### Notes
     * This is a read-only property.
     */
    get model(): CellDiffModel;
    protected _rendermime: IRenderMimeRegistry;
}
//# sourceMappingURL=cell.d.ts.map